Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01039 Interface Minor Have not tried Feb 8, 2008, 14:46 May 29, 2008, 09:20
Tester Bugfinder View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver midyunit.cpp
Version 0.96u4 Fixed in Version 0.125u3 Build
Fixed in Git Commit Github Pull Request #
Summary 01039: trog: Memory area limit of the cheat engine.
Description There are cheats that work in the memory area $20000 - $20ffff in this game, but there is no such area to choose from in the cheat engine. I thought maybe it could be a bug in the cheat engine then went to drivers\midyunit.c and saw

M_RANGE(0x00000000, 0x001fffff) AM_READWRITE(midyunit_vram_r, midyunit_vram_w)

There is no area 0x00200000 mapped there; so how come these cheats were found? Also if you use the debugger to find data in that area, the emulator crashes.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems trog
Attached Files
png file icon TrogSearch.png (104,150 bytes) May 18, 2008, 16:23
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.00935
Luigi30
Tester
May 11, 2008, 03:36
The debugger doesn't crash when looking at 0x00200000 anymore, but there's still nothing at that memory location. I can't figure out what the cheat even does.
User avatar
No.00950
ShimaPong
Tester
May 12, 2008, 18:42
edited on: May 12, 2008, 18:45
It requires internal address shifiting in reading/writing a memory in searching.
But the address shift is only for Watchpoint right now.
So the search tries to default RAM range ($1000000-$10FFFFF) instead of raw range ($200000-$21FFFF)
(the cheat engine set address shift as 0x03 (1000000 >> 3 = 200000) in the initialization but unused in case of a search)

About address shift, it's my ToDo (CCPU is complex a bit...) but I have already added User Search Region.
It support free range region so that you can set raw range directly as search region.
I have succeeds to search via this new search region system for midyunit.c games.

NOTE : I don't know how to submit to official so check my WIP cheat engine thread (http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=147780&pag=0)
User avatar
No.01003
ShimaPong
Tester
May 18, 2008, 16:20
I add address shift for read/write a memory in case of the search.
See screenshot. The search in Trog succeeds with default search regions.
Also I have confirmed in Smash T.V. which uses the same CPU as Trog.
It no longer needs to add User Defined Search region.
User avatar
No.01117
aaron
Developer
May 29, 2008, 09:20
Fixed by ShimaPong